%define name	cacti
%define version	0.8.5
%define release	1mdk
%define order	71
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Cacti is a php frontend for rrdtool
License:	GPL
Group:		System/Servers
URL:		http://www.raxnet.net/products/cacti
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.cron.bz2
Source2:	%{name}.conf.bz2
Source3:	%{name}.logrotate.bz2
Patch0:		%{name}.path.patch.bz2
Requires:	webserver
Requires:	mysqlserver
Requires:	mod_php
Requires:	php-cli
Requires:	php-gd
Requires:	php-mysql
Requires:	php-snmp
Requires:	php-xml
Requires:	net-snmp-utils
Requires:	net-snmp
Requires:	rrdtool
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Cacti is a complete frondend to rrdtool, it stores all of the
nessesary information to create graphs and populate them with
data in a MySQL database.

The frontend is completely PHP driven. Along with being able
to maintain Graphs, Data Sources, and Round Robin Archives in
a database, cacti handles the data gathering also. There is
also SNMP support for those used to creating traffic graphs
with MRTG.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}.cron
bzcat %{SOURCE3} > %{name}.logrotate
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

%__install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
%__install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}
%__install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}

%__cp *.php $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__cp -pr lib $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__cp -pr include $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__cp -pr docs $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__cp -pr images $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__cp -pr install $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__cp -pr scripts $RPM_BUILD_ROOT%{_datadir}/%{name}
%__cp -pr resource $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
%__install -m 644 *.sql $RPM_BUILD_ROOT%{_datadir}/%{name}

# apache configuration
%ADVXinstconf %{SOURCE2} %{order}_%{name}.conf

# cron task
%__install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
%__install -m 644 %{name}.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}

# logrotate script
%__install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
%__install -m 644 %{name}.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

# compute file list without config file
find $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name} -type d | sed -e 's|'$RPM_BUILD_ROOT'|%dir |' >> %{name}.list
find $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name} -type f ! -name config.php | sed -e 's|'$RPM_BUILD_ROOT'||' >> %{name}.list

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files -f %{name}.list
%defattr(-,root,root)
%doc LICENSE docs/CHANGELOG docs/CONTRIB docs/README
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_localstatedir}/%{name}
%dir %{_var}/log/%{name}
%config(noreplace) %{ap_htdocsdir}/%{name}/include/config.php
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf

%changelog
* Tue Mar 2 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.8.5-1mdk
- 0.8.5
- rediff patch1
- add logrotate script
- macroszification

* Thu Nov 27 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.4-2mdk
- add missing lib directory

* Tue Nov 25 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.4-1mdk
- 0.8.4
- ADVX macros
- fix files list

* Sat Aug 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.3-1mdk
- 0.8.3

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-4mdk
- added php-xml requires

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-3mdk
- oops, s/datadir/ap_htdocsdir/ - dedicated to resource directory again

* Sat Aug 2 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-2mdk
- added missing resource directory with xml templates

* Wed Jul 30 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-1mdk
- new version

* Fri Jun 06 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8-1mdk
- requires php-cli for cron task
- added cron task
- install in %{ap_htdocsdir}/%{name}, no need for intermediate admin dir
- only install needed files under %{ap_htdocsdir}/%{name}
- cleaned redundant requires
- cleaned spec file
- corrected url tag
- automatic apache integration

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-3mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-2mdk
- misc spec file fixes
- install in common and relocatable %%{ap_htdocsdir}/ directory

* Wed Sep 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-1mdk
- security release
- do not require non existant php extensions
- misc spec file fixes 

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8-1mdk
- initial cooker contrib
